Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class UnmodifiableProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.modeshape.common.collection.UnmodifiableProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    @Immutable
    public class UnmodifiableProperties

extends Properties

An immutable `Properties` implementation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`UnmodifiableProperties(Properties props)`

Method Summary
`void` | `clear()`
`Object` | `clone()`
`boolean` | `contains(Object value)`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Enumeration<Object>` | `elements()`
`Set<Map.Entry<Object,Object>>` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object key)`
`String` | `getProperty(String key)`
`String` | `getProperty(String key, String defaultValue)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Enumeration<Object>` | `keys()`
`Set<Object>` | `keySet()`
`void` | `list(PrintStream out)`
`void` | `list(PrintWriter out)`
`void` | `load(InputStream inStream)`
`void` | `loadFromXML(InputStream in)`
`Enumeration<?>` | `propertyNames()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map<? extends Object,? extends Object> t)`
`Object` | `remove(Object key)`
`void` | `save(OutputStream out, String comments)` Deprecated. This method does not throw an IOException if an I/O error occurs while saving the property list. The preferred way to save a properties list is via the `store(OutputStream out, String comments)` method or the `storeToXML(OutputStream os, String comment)` method.
`Object` | `setProperty(String key, String value)`
`int` | `size()`
`void` | `store(OutputStream out, String comments)`
`void` | `storeToXML(OutputStream os, String comment)`
`void` | `storeToXML(OutputStream os, String comment, String encoding)`
`String` | `toString()`
`Collection<Object>` | `values()`

Methods inherited from class java.util.Properties
`load, store, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`rehash`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmodifiableProperties

    public UnmodifiableProperties(Properties props)

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Hashtable<Object,Object>`

### contains

    public boolean contains(Object value)

  Overrides:
    `contains` in class `Hashtable<Object,Object>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<Object,Object>`
  Overrides:
    `containsKey` in class `Hashtable<Object,Object>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<Object,Object>`
  Overrides:
    `containsValue` in class `Hashtable<Object,Object>`

### elements

    public Enumeration<Object> elements()

  Overrides:
    `elements` in class `Hashtable<Object,Object>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<Object,Object>`
  Overrides:
    `equals` in class `Hashtable<Object,Object>`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map<Object,Object>`
  Overrides:
    `get` in class `Hashtable<Object,Object>`

### getProperty

    public String getProperty(String key,
                              String defaultValue)

  Overrides:
    `getProperty` in class `Properties`

### getProperty

    public String getProperty(String key)

  Overrides:
    `getProperty` in class `Properties`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<Object,Object>`
  Overrides:
    `hashCode` in class `Hashtable<Object,Object>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<Object,Object>`
  Overrides:
    `isEmpty` in class `Hashtable<Object,Object>`

### keys

    public Enumeration<Object> keys()

  Overrides:
    `keys` in class `Hashtable<Object,Object>`

### list

    public void list(PrintStream out)

  Overrides:
    `list` in class `Properties`

### list

    public void list(PrintWriter out)

  Overrides:
    `list` in class `Properties`

### propertyNames

    public Enumeration<?> propertyNames()

  Overrides:
    `propertyNames` in class `Properties`

### save

    @Deprecated
    public void save(OutputStream out,
                                String comments)

  Deprecated. This method does not throw an IOException if an I/O error occurs while saving the property list. The preferred way to save a properties list is via the `store(OutputStream out, String comments)` method or the `storeToXML(OutputStream os, String comment)` method.

  Overrides:
    `save` in class `Properties`
  See Also:
    `Properties.save(java.io.OutputStream, java.lang.String)`

### size

    public int size()

  Specified by:
    `size` in interface `Map<Object,Object>`
  Overrides:
    `size` in class `Hashtable<Object,Object>`

### store

    public void store(OutputStream out,
                      String comments)
               throws IOException

  Overrides:
    `store` in class `Properties`
  Throws:
    `IOException`

### storeToXML

    public void storeToXML(OutputStream os,
                           String comment,
                           String encoding)
                    throws IOException

  Overrides:
    `storeToXML` in class `Properties`
  Throws:
    `IOException`

### storeToXML

    public void storeToXML(OutputStream os,
                           String comment)
                    throws IOException

  Overrides:
    `storeToXML` in class `Properties`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Hashtable<Object,Object>`

### values

    public Collection<Object> values()

  Specified by:
    `values` in interface `Map<Object,Object>`
  Overrides:
    `values` in class `Hashtable<Object,Object>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<Object,Object>`
  Overrides:
    `clear` in class `Hashtable<Object,Object>`

### entrySet

    public Set<Map.Entry<Object,Object>> entrySet()

  Specified by:
    `entrySet` in interface `Map<Object,Object>`
  Overrides:
    `entrySet` in class `Hashtable<Object,Object>`

### keySet

    public Set<Object> keySet()

  Specified by:
    `keySet` in interface `Map<Object,Object>`
  Overrides:
    `keySet` in class `Hashtable<Object,Object>`

### load

    public void load(InputStream inStream)

  Overrides:
    `load` in class `Properties`

### loadFromXML

    public void loadFromXML(InputStream in)

  Overrides:
    `loadFromXML` in class `Properties`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map<Object,Object>`
  Overrides:
    `put` in class `Hashtable<Object,Object>`

### putAll

    public void putAll(Map<? extends Object,? extends Object> t)

  Specified by:
    `putAll` in interface `Map<Object,Object>`
  Overrides:
    `putAll` in class `Hashtable<Object,Object>`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map<Object,Object>`
  Overrides:
    `remove` in class `Hashtable<Object,Object>`

### setProperty

    public Object setProperty(String key,
                              String value)

  Overrides:
    `setProperty` in class `Properties`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.